# Fee Estimates

As the name suggests, fee estimation functions offer a means of computing the expense of a STAS transaction before officially constructing it. This is accomplished using the minimum necessary arguments, which creates a transaction template that can then be used to determine the cost in satoshis based on the fee rate. The fee rate settings can be located in the utility.js file as follows:

```javascript
this.SATS = 50 // Don't change this setting unless you know what you're doing
this.PERBYTE = 1000 // Don't change this setting unless you know what you're doing
```

Here is an example of using the fee estimate functions for the stasTransfer Function :&#x20;

```javascript
const feeEstimate = await stasTransfer.feeEstimate(stasUtxo)
```

The function will return a number in satoshi value that can then be used for pre processing conditions where UTXOs for fees are required to be prepared beforehand. All transaction functions in the library contain a feeEstimate function with varying required arguments.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stastoken.com/library/advanced-features/fee-estimates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
